From 2c89fb6fc3a5c537e93e8f036658331cc512c329 Mon Sep 17 00:00:00 2001
From: Olivier Sallou <olivier.sallou@irisa.fr>
Date: Mon, 12 Oct 2015 09:23:07 -0700
Subject: search fonts in Debian font dir

Last-Update: 2011-08-09
Patch-Name: change_font_path
---
 Captcha/Visual/Tests.py | 2 +-
 Captcha/Visual/Text.py  | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/Captcha/Visual/Tests.py b/Captcha/Visual/Tests.py
index 3ab4256..98020e9 100644
--- a/Captcha/Visual/Tests.py
+++ b/Captcha/Visual/Tests.py
@@ -44,7 +44,7 @@ class AngryGimpy(ImageCaptcha):
 
 class AntiSpam(ImageCaptcha):
     """A fixed-solution CAPTCHA that can be used to hide email addresses or URLs from bots"""
-    fontFactory = Text.FontFactory(20, "vera/VeraBd.ttf")
+    fontFactory = Text.FontFactory(20, "ttf-bitstream-vera/VeraBd.ttf")
     defaultSize = (512,50)
 
     def getLayers(self, solution="murray@example.com"):
diff --git a/Captcha/Visual/Text.py b/Captcha/Visual/Text.py
index afc381e..61caa7e 100644
--- a/Captcha/Visual/Text.py
+++ b/Captcha/Visual/Text.py
@@ -19,7 +19,7 @@ class FontFactory(File.RandomFileFactory):
        in that directory will be added.
        """
     extensions = [".ttf"]
-    basePath = "fonts"
+    basePath = "/usr/share/fonts/truetype/"
 
     def __init__(self, sizes, *fileNames):
         File.RandomFileFactory.__init__(self, *fileNames)
@@ -38,7 +38,7 @@ class FontFactory(File.RandomFileFactory):
         return (fileName, size)
 
 # Predefined font factories
-defaultFontFactory = FontFactory((30, 40), "vera")
+defaultFontFactory = FontFactory((30, 40), "ttf-bitstream-vera")
 
 
 class TextLayer(Visual.Layer):
